Subject: Re: [PATCH] doc: don't claim that cherry-pick calls patch-id

From: Jonathan Nieder <[email-masked]>
Date: Tue, 24 Sep 2013 15:44:31 -0700

Michael S. Tsirkin wrote:
> On Tue, Sep 24, 2013 at 03:14:09PM -0700, Jonathan Nieder wrote:
>> Michael S. Tsirkin wrote:

>>> -The commits are compared with their 'patch id', obtained from
>>> -the 'git patch-id' program.
>>> +The diffs are compared with their diff id (sha1) calculated after removing
>>> +any whitespace and line numbers (similar but not necessarily identical
>>> +to 'patch id', obtained from the 'git patch-id' program).
>>
>> The hash used internally is just an implementation detail, so maybe this
>> sentence could just be dropped?
>
> I think the fact whitespace is ignored is relevant to users, no?
> We probably should drop talking about hash here.

Ah, good point.  So, something like the following, then?

	Whitespace and line numbers are ignored when comparing the diffs,
	similarly to linkgit:git-patch-id[1].

Maybe some other wording would make it clearer that we are not using
"git diff -w" output.